Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6618)
@@ -42,6 +42,6 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/trc.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/trc.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/COMP/trc.card	(revision 6618)
@@ -5,8 +5,8 @@
 pis=n
 age=y
-cfc11=n
+cfc11=y
 cfc12=n
 sf6=n
-c14=n
+c14=y
 OutputLevel=10
 
@@ -22,4 +22,5 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref             ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/clim/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/trc.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/trc.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/trc.card	(revision 6618)
@@ -5,8 +5,8 @@
 pis=n
 age=y
-cfc11=n
+cfc11=y
 cfc12=n
 sf6=n
-c14=n
+c14=y
 OutputLevel=10
 
@@ -22,4 +22,5 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref             ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/trc.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/trc.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/trc.card	(revision 6618)
@@ -5,8 +5,8 @@
 pis=n
 age=y
-cfc11=n
+cfc11=y
 cfc12=n
 sf6=n
-c14=n
+c14=y
 OutputLevel=10
 
@@ -22,4 +22,5 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref             ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
         (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 557MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 557MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/pisces.card	(revision 6618)
@@ -42,6 +42,6 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 118MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 118MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6618)
@@ -42,6 +42,6 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 118MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 118MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6618)
@@ -42,6 +42,6 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card	(revision 6618)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 118MPI)
+OCE= (opa_top_online_${OptMode}.exe, nemo, 118MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 6618)
@@ -3,4 +3,5 @@
 
 [UserChoices]
+ORCA_version=ORCA2.4.2
 pis=y
 gas=n
@@ -11,4 +12,5 @@
 c14=n
 Offline_Mode=y
+diurnal_cycle=n
 PisFreq=4
 AnthrGas=n
@@ -24,31 +26,43 @@
 List=       ()
 
-ListNonDel= (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PiDIC_GLODAPv2_Lauvset2016_r360x180xl31.nc, data_DIC_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2_Lauvset2016_r360x180xl31.nc , data_ALK_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/O2_WOA2013_r360x180xl31.nc                , data_OXY_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PO4_WOA2013_r360x180xl31.nc               , data_PO4_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Si_WOA2013_r360x180xl31.nc                , data_SIL_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_annual_r360x180xl31.nc         , data_DOC_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Fer_FEMIP_model_median_r360x180xl31.nc    , data_FER_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/NO3_WOA2013_r360x180xl31.nc               , data_NO3_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/N2O_PISCES_annual_r360x180xl31.nc         , data_N2O_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DMS_PISCES_annual_r360x180xl31.nc         , data_DMS_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ISP_PISCES_annual_r360x180xl31.nc         , data_ISP_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/CO_PISCES_annual_r360x180xl31.nc          , data_CO_nomask.nc  ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/COS_PISCES_annual_r360x180xl31.nc         , data_COS_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
+ListNonDel= (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/GRIDS/${pisces_UserChoices_ORCA_version}_domain_cfg.nc, domain_cfg.nc), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_T.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_U.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_V.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/DYNA/dyna_grid_W.nc, .), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/PiDIC_GLODAPv2_Lauvset2016_r360x180xl31.nc, data_DIC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/TALK_GLODAPv2_Lauvset2016_r360x180xl31.nc , data_ALK_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/O2_WOA2013_r360x180xl31.nc                , data_OXY_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/PO4_WOA2013_r360x180xl31.nc               , data_PO4_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Si_WOA2013_r360x180xl31.nc                , data_SIL_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DOC_PISCES_annual_r360x180xl31.nc         , data_DOC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/Fer_FEMIP_model_median_r360x180xl31.nc    , data_FER_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/NO3_WOA2013_r360x180xl31.nc               , data_NO3_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/N2O_PISCES_annual_r360x180xl31.nc         , data_N2O_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DMS_PISCES_annual_r360x180xl31.nc         , data_DMS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/ISP_PISCES_annual_r360x180xl31.nc         , data_ISP_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/CO_PISCES_annual_r360x180xl31.nc          , data_CO_nomask.nc  ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/COS_PISCES_annual_r360x180xl31.nc         , data_COS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${pisces_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${pisces_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/${pisces_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
+            (${R_IN}/OCE/NEMO/${pisces_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
+
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_top_ref            , namelist_top_ref             ), \
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref                                    , namelist_ref                 ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_top_ref            , namelist_top_ref             ), \
         (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_pisces_ref         , namelist_pisces_ref          ), \
         (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_trc_ref            , namelist_trc_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/domain_def_nemo.xml                             , domain_def_nemo.xml          ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/axis_def_nemo.xml                               , axis_def_nemo.xml            ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/grid_def_nemo.xml                               , grid_def_nemo.xml            ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-oce.xml                          , field_def_nemo-oce.xml       ), \
         (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
         (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg           , namelist_cfg                 ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_cfg                                   , namelist_top_p4z_cfg         ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_gas_cfg                               , namelist_top_p4z_gas_cfg     ), \
@@ -58,4 +72,6 @@
         (${SUBMIT_DIR}/PARAM/NAMELIST/atmc14.dat                                             , atmc14.dat                   ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/splco2.dat                                             , splco2.dat                   ), \
+        (${SUBMIT_DIR}/PARAM/XML/context_nemo_offline.xml                                    , context_nemo.xml             ), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                   , iodef.xml                    ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                                       , file_def_nemo-top.xml        ), \
         (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_co2_yearly_2022.txt  , atmco2.txt                   ), \
@@ -68,5 +84,5 @@
 
 [OutputText]
-List=   (namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
+List=   (namelist_ref, namelist_cfg, namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, ocean.output, tracer.stat)
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6618)
@@ -52,5 +52,5 @@
 [Executable]
 Name=nemo
-MBG= (opa_offline_${OptMode}.exe, nemo, 30MPI)
+MBG= (opa_top_offline_${OptMode}.exe, nemo, 30MPI)
 IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 #========================================================================
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 6618)
@@ -42,6 +42,6 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       )
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc), \
 
 [ParametersFiles]
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 6618)
@@ -52,5 +52,5 @@
 [Executable]
 Name=nemo
-MBG= (opa_offline_${OptMode}.exe, nemo, 30MPI)
+MBG= (opa_top_offline_${OptMode}.exe, nemo, 30MPI)
 IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
 #========================================================================
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/DRIVER/pisces.driver	(revision 6618)
@@ -182,12 +182,12 @@
 
    if [ X"${pisces_UserChoices_pis}" = X"y" ] ; then
-      echo "DeActivate pisces outputs"
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file31 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file32 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file33 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file34 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file35 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file36 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file37 enabled .TRUE.
+      echo "Activate pisces outputs"
+      [ ${VT1D_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file31 enabled .TRUE.
+      [ ${VT5D_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file32 enabled .TRUE.
+      [ ${VT1M_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file33 enabled .TRUE.
+      [ ${VT1M_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file34 enabled .TRUE.
+      [ ${VT1M_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file35 enabled .TRUE.
+      [ ${VT1Y_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file36 enabled .TRUE.
+      [ ${VT1Y_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file37 enabled .TRUE.
    fi
 
@@ -239,6 +239,6 @@
       LGAS=.TRUE.
       cp namelist_top_p4z_gas_cfg  namelist_top_cfg
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file50 enabled .TRUE.
-      IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file51 enabled .TRUE.
+      [ ${VT1M_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file60 enabled .TRUE.
+      [ ${VT1Y_ENABLE} = ".TRUE." ] && IGCM_comp_modifyXmlFile force file_def_nemo-top.xml file61 enabled .TRUE.
    fi
 ##
@@ -272,12 +272,21 @@
          PisCos=${pisces_UserChoices_AtmCos}
     fi
+
+    # Manage the diurnal cycle in TOP
+    if [ X"${pisces_UserChoices_diurnal_cycle}" = X"y" ] ; then
+       TOP_LDCY=.TRUE.
+    else
+       TOP_LDCY=.FALSE.
+    fi
+
    ##-- Update namelist_top_cfg and namelist_pisces_cfg
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_rsttr  ${TOP_LRSTTR}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     nn_rsttr  ${TOP_NRSTTR}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_age    ${TOP_AGE}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc11  ${TOP_CFC11}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc12  ${TOP_CFC12}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_sf6    ${TOP_SF6}
-    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_c14    ${TOP_C14}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_rsttr    ${TOP_LRSTTR}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     nn_rsttr    ${TOP_NRSTTR}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_age      ${TOP_AGE}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc11    ${TOP_CFC11}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_cfc12    ${TOP_CFC12}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_sf6      ${TOP_SF6}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_c14      ${TOP_C14}
+    IGCM_comp_modifyNamelist blocker    namelist_top_cfg     ln_trcdc2dm ${TOP_LDCY}
     if [ X"${pisces_UserChoices_pis}" = X"y" ] ; then
        IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcco2    ${PisCo2}
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 6618)
@@ -308,4 +308,5 @@
 &namdta_dyn    !   offline ocean input files                            (OFF_SRC only)
 !-----------------------------------------------------------------------
+   ln_dyntrp       =  .true.    !  runoffs option enabled (T) or not (F)
    ln_dynrnf       =  .false.    !  runoffs option enabled (T) or not (F)
    ln_dynrnf_depth =  .false.    !  runoffs is spread in vertical (T) or not (F)
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg	(revision 6618)
@@ -181,4 +181,5 @@
 &namdta_dyn    !   offline ocean input files                            (OFF_SRC only)
 !-----------------------------------------------------------------------
+   ln_dyntrp       =  .true.    !  runoffs option enabled (T) or not (F)
    ln_dynrnf       =  .false.    !  runoffs option enabled (T) or not (F)
    ln_dynrnf_depth =  .false.    !  runoffs is spread in vertical (T) or not (F)
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg	(revision 6618)
@@ -55,4 +55,8 @@
 /
 !-----------------------------------------------------------------------
+&namtrc_dcy      !  Diurnal cycle
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtrc_ice      !    Representation of sea ice growth & melt effects
 !-----------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg	(revision 6618)
@@ -101,5 +101,5 @@
 &namtrc_dcy      !  Diurnal cycle
 !-----------------------------------------------------------------------
-   ln_trcdc2dm   =  .true.   !  Diurnal cycle for TOP
+   ln_trcdc2dm   = _AUTO_: DEFAULT=.TRUE.   !  Diurnal cycle for TOP
 /
 !-----------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg	(revision 6618)
@@ -51,8 +51,8 @@
    sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
    sn_tracer(25)  = 'N2O     ' , 'Nitrous Oxide Concentration            ',  'mol-N/L' , .true.  , .false., .false., .false. , .false.
-   sn_tracer(26)  = 'DMS     ' , 'Dimethylsulfide Concentration          ',  'mol-S/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(27)  = 'CO      ' , 'Carbon Monoxide Concentration          ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(28)  = 'ISP     ' , 'Isoprene Concentration                 ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(29)  = 'COS     ' , 'Carbonyl Sulfide Concentration         ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(26)  = 'DMS     ' , 'Dimethylsulfide Concentration          ',  'mol-S/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(27)  = 'CO      ' , 'Carbon Monoxide Concentration          ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(28)  = 'ISP     ' , 'Isoprene Concentration                 ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(29)  = 'COS     ' , 'Carbonyl Sulfide Concentration         ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
 /
 !-----------------------------------------------------------------------
@@ -78,17 +78,17 @@
    sn_trcdta(28) = 'data_ISP_nomask.nc',        -12        ,  'ISP'     ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
    sn_trcdta(29) = 'data_COS_nomask.nc',        -12        ,  'COS'     ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
-   rn_trfac(1)   =   1.028e-06   !  multiplicative factor
-   rn_trfac(2)   =   1.028e-06   !  -      -      -     -
-   rn_trfac(3)   =  44.6e-06     !  -      -      -     -
-   rn_trfac(5)   = 117.0e-06     !  -      -      -     -
-   rn_trfac(7)   =   1.0e-06     !  -      -      -     -
-   rn_trfac(10)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(14)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(23)  =   7.3125e-06  !  -      -      -     -
-   rn_trfac(25)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(26)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(27)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(28)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(29)  =   1.0e-06     !  -      -      -     -
+   rn_trfac(1)   =    1.028e-06   !  multiplicative factor
+   rn_trfac(2)   =    1.028e-06   !  -      -      -     -
+   rn_trfac(3)   =     44.6e-06   !  -      -      -     -
+   rn_trfac(5)   =    117.0e-06   !  -      -      -     -
+   rn_trfac(7)   =      1.0e-06   !  -      -      -     -
+   rn_trfac(10)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(14)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(23)  =   7.3125e-06   !  -      -      -     -
+   rn_trfac(25)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(26)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(27)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(28)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(29)  =      1.0e-06   !  -      -      -     -
 /
 !-----------------------------------------------------------------------
@@ -115,5 +115,5 @@
 &namtrc_dcy      !  Diurnal cycle
 !-----------------------------------------------------------------------
-   ln_trcdc2dm   =  .true.   !  Diurnal cycle for TOP
+   ln_trcdc2dm   = _AUTO_: DEFAULT=.TRUE.   !  Diurnal cycle for TOP
 /
 !-----------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml	(revision 6618)
@@ -141,5 +141,5 @@
         </file>
 
-       <file id="file50" name_suffix="_gas" description="Gas tracer variables" enabled=".FALSE." >
+       <file id="file60" name_suffix="_gas" description="Gas tracer variables" enabled=".FALSE." >
          <field field_ref="e3t"       name="E3T"      long_name="T-cell thickness" />
          <field field_ref="N2O"       name="N2O"      operation="average" freq_op="1mo" level="1" > @N2O_e3t / @e3t </field>
@@ -257,14 +257,8 @@
           <field field_ref="DeltaC14"    name="DeltaC14" level="1"   />
           <field field_ref="C14Age"      name="C14Age"   level="2"   />
-          <field field_ref="RAge"        name="RAge"     level="2"   />
-          <field field_ref="AtmCO2"      name="AtmCO2"   level="2"   />
-          <field field_ref="AtmC14"      name="AtmC14"   level="2"   />
-          <field field_ref="K_C14"       name="K_C14"    level="2"   />
-          <field field_ref="K_CO2"       name="K_CO2"    level="2"   />
-          <field field_ref="C14Inv"      name="C14Inv"   level="2"   />
-       </file>
-
-
-       <file id="file51" name_suffix="_gas" description="Gas tracer variables" enabled=".FALSE." >
+       </file>
+
+
+       <file id="file61" name_suffix="_gas" description="Gas tracer variables" enabled=".FALSE." >
          <field field_ref="e3t"       name="E3T"      long_name="T-cell thickness" />
          <field field_ref="N2O"       name="N2O"      operation="average" freq_op="1y" level="1" > @N2O_e3t / @e3t </field>
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/compile_nemo.sh
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/compile_nemo.sh	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/compile_nemo.sh	(revision 6618)
@@ -229,5 +229,9 @@
 
 if [ -f $nemo_root/cfgs/$cfg_wrk/BLD/bin/nemo.exe ] ; then
-   mv $nemo_root/cfgs/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa_${cplmode}_${optmode}.exe
+   if [ ${cpltop} == WithoutTOP ]  ;  then
+      mv $nemo_root/cfgs/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa_${optmode}.exe
+   else
+      mv $nemo_root/cfgs/$cfg_wrk/BLD/bin/nemo.exe $modipsl/bin/opa_top_${cplmode}_${optmode}.exe
+   fi
 else
     echo "ERROR gcm${suffix} executable does not exist."
@@ -235,5 +239,4 @@
     exit
 fi
-
 
 echo >>$outfile ; echo "ALL COMPILING FINISHED" >> $outfile
